Page MenuHomePhabricator

Pin buttons behavior [Med]
Closed, ResolvedPublic

Description

Copied from T246294.

Pin buttons should only be visible for the cell being hovered on, and should disappear again on mouseout (including when a highlight is pinned) - MEDIUM

  • When hovering over a row, the pin button should show up only on that row (and not on all the matching/highlighted ones).
  • Once an item is pinned, the pin button should not be visible if the highlighted row is not being hovered on.

Event Timeline

Niharika created this task.Apr 2 2020, 6:27 PM
Tchanders claimed this task.Apr 3 2020, 2:37 PM
Tchanders moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.

Change 585768 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] Show pin buttons in Special:Investigate results only on hover

https://gerrit.wikimedia.org/r/585768

Change 585768 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Show pin buttons in Special:Investigate results only on hover

https://gerrit.wikimedia.org/r/585768

  • When hovering over a row, the pin button should show up only on that row (and not on all the matching/highlighted ones).
  • Once an item is pinned, the pin button should not be visible if the highlighted row is not being hovered on.

This is true. Tested this on Firefox 68 and Safari 12.1.

I guess this might become obsolete after T250051.

Tchanders closed this task as Resolved.Apr 15 2020, 1:49 PM